

Name: libkcddb5
Summary: Library for retrieving and sending cddb information
Version: 17.12.3
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdemultimedia/libkcddb
Source0: http://download.kde.org/stable/applications/%{version}/src/libkcddb-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: %{_lib}kcodecs-devel
BuildRequires: %{_lib}kconfig-devel
BuildRequires: %{_lib}kcoreaddons-devel
BuildRequires: %{_lib}kf5auth-devel
BuildRequires: %{_lib}kf5configwidgets-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}kio-devel
BuildRequires: %{_lib}musicbrainz5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: libxml2-utils
Obsoletes: libkcddb

%description
A library for retrieving and sending cddb information.

#------------------------------------------------------------------------------

%files
%{_datadir}/kservices5/libkcddb.desktop
%{_datadir}/config.kcfg/libkcddb5.kcfg
%{_datadir}/locale

#-----------------------------------------------------------------------------
%package -n libkcddb5-handbook
Summary: Handbook package for libkcddb
Group: Documentation
Requires: %name
BuildArch: noarch

%description -n libkcddb5-handbook
This package provides the handbook for KCM cddb.

%files -n libkcddb5-handbook
%{_datadir}/doc/HTML

#------------------------------------------------------------------------------
%define kcddb_major 5
%define libkcddb %mklibname kcddb %kcddb_major

%package -n %{libkcddb}
Summary: %{name} library
Group: System/Libraries
Requires: %name

%description -n %{libkcddb}
A library for retrieving and sending cddb information.

%files -n %{libkcddb}
%{_libdir}/libKF5Cddb.so.*
%{_libdir}/libKF5CddbWidgets.so.*
%{_libdir}/qt5/plugins/kcm_cddb.so

#------------------------------------------------------------------------------

%define libkcddb_devel %mklibname kcddb5 -d

%package -n %{libkcddb_devel} 
Summary: Devel stuff for %name
Group: Development/Libraries
Requires: %libkcddb
Provides: libkcddb5-devel = %version-%release
Provides: kcddb5-devel = %version-%release
Obsoletes: %{_lib}kde4-kcddb-devel

%description -n %{libkcddb_devel} 
A library for retrieving and sending cddb information.

This package contains header files needed if you wish to build applications
based on libkcddb.

%files -n %{libkcddb_devel} 
%{_includedir}/KF5/KCddb/Categories
%{_includedir}/KF5/KCddb/Cdinfo
%{_includedir}/KF5/KCddb/CdinfoDialog
%{_includedir}/KF5/KCddb/Client
%{_includedir}/KF5/KCddb/Genres
%{_includedir}/KF5/KCddb/Kcddb
%{_includedir}/KF5/KCddb/KcddbConfig
%{_includedir}/KF5/KCddb/categories.h
%{_includedir}/KF5/KCddb/cdinfo.h
%{_includedir}/KF5/KCddb/cdinfodialog.h
%{_includedir}/KF5/KCddb/client.h
%{_includedir}/KF5/KCddb/configbase.h
%{_includedir}/KF5/KCddb/genres.h
%{_includedir}/KF5/KCddb/kcddb.h
%{_includedir}/KF5/KCddb/kcddb_export.h
%{_includedir}/KF5/KCddb/kcddbconfig.h
%{_includedir}/KF5/kcddb_version.h
%{_libdir}/cmake/KF5Cddb/KF5CddbConfig.cmake
%{_libdir}/cmake/KF5Cddb/KF5CddbConfigVersion.cmake
%{_libdir}/cmake/KF5Cddb/KF5CddbTargets-relwithdebinfo.cmake
%{_libdir}/cmake/KF5Cddb/KF5CddbTargets.cmake
%{_libdir}/libKF5Cddb.so
%{_libdir}/libKF5CddbWidgets.so
%{_libdir}/qt5/mkspecs/modules/qt_KCddb.pri
#------------------------------------------------------------------------------

%prep
%setup -qn libkcddb-%{version}

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Fri Dec 23 2016 bb <bb> 16.12.0-1pclos2017
- update

